{# LG 20200928 déac {% extends "@Paa/form/actiBases/actiBases.html.twig" %}#}
{% block formulaire %}
    <div id="absenceForm" class="col-xs-12 col-sm-12 col-md-12 col-lg-12" >
        <fieldset style="border: 1px groove #ddd !important; padding: 0 1.4em 1.4em !important; margin: 0 0 1.5em 0 !important; -webkit-box-shadow: 0px 0px 0px 0px #000; box-shadow: 0px 0px 0px 0px #000;">
            <legend style="width: inherit; padding:0 10px; margin:0; border-bottom:none;">Durée de l'absence</legend>
            <div class="col-sm-6">
                <div class="form-group">
                    {{ form_label(poForm.iabstype, " ", {'label_attr': {'class': 'col-sm-0 control-label'}}) }}
                    <div class="col-sm-12">
                        {{ form_widget(poForm.iabstype, {'attr': {'class': 'toto'}}) }}
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div id="heureFixe" class="form-group" style="visibility: hidden;">
                    {{ form_label(poForm.iabsfix, "", {'label_attr': {'class': 'col-sm-7 control-label'}}) }}
                    <div class="col-sm-5"> 
                        {{ form_widget(poForm.iabsfix, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
                <div class="form-group" id="fixeAjout" claas="form-group" style="visibility: hidden;">
                    {{ form_label(poForm.iabsfixajout, " x h. contrat + ", {'label_attr': {'class': 'col-sm-7 control-label'}}) }}
                    <div class="col-sm-5">
                        {{ form_widget(poForm.iabsfixajout, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <div class="form-group">
                    {{ form_label(poForm.ltravaillee, "Absence travaillée", {'label_attr': {'class': 'col-sm-3'}}) }}
                    {{ form_widget(poForm.ltravaillee, {'attr': {'class': 'col-sm-1'}}) }}
                </div>
            </div>
        </fieldset>
    </div>
    <div id="fourretout" style="display: none;">
        
    </div>   
    <script>
       {# $(document).ready(function () {
            if ($("#fEntityForm_actibases_linactive").is(':checked')){
            switch ({{poEntité.isousgroupe.iidActisousgroupe}})
            {
            case - 2:
            $('#absenceForm').css('background-color', 'grey');
                    break;
            }
            }
        });#}
        $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", true);
        $("#fEntityForm_actibases_iabstype input").change(function () {
            if ($(this).val() === 3) {
                $('#heureFixe > label').text('1/');
                $('#heureFixe').css('visibility', 'visible');
                $('#fixeAjout').css('visibility', 'visible');
            } else if ($(this).val() === 2) {
                $('#heureFixe > label').text('Nombre d\'heures fixées');
                $('#heureFixe').css('visibility', 'visible');
                $('#fixeAjout').css('visibility', 'hidden');
            } else {
                $('#heureFixe').css('visibility', 'hidden');
                $('#fixeAjout').css('visibility', 'hidden');
            }
        });
    </script>
{% endblock %}